#include<iostream>
using namespace std;
int main(){

int a, b, L, izhod=1;
cin>>a>>b>>L;

for(int k=1; k<L; k++){
    for(int x=1; x<L; x++){
        for(int y=1; y<L; y++){
            if(x*a+y*b==k){
                izhod++;
            }
        }
    }
}

cout<<izhod<<endl;

return 0;
}
